# Ciarence's Unbelievable Modifications
- The best (and only) Receiver 2 QoL mod, now for H3VR! 
### Collection of changes that were too small to release individually

## Changelog
`1.0.0`  
Initial release

`1.1.0`  
New Features:
 - Added a tweak to play the unused Handle Up lock sounds for guns with rotating charging handles (pretty much every one of them except the MP5s)
 - Added a tweak to hold a magazine in a reversed pose
  
Changes: 
 - Cylinder Bullet Collector:
	- Tried to make the ejector animate when ejecting

`1.1.1`  
Fixed typo in source link

`1.2.0`  
New Features:
 - Added a patch to keep the original rotation when you palm a magazine
 - Added a patch to make all gun stocks start out folded
 - Added a patch to prevent your other hand from snatching your currently holded gun
 - Added a patch to re-enable the Institution preview scene

## Features

### Keep Palmed Magazine rotation
 - Keeps the original rotation difference when you palm a magazine
		
	![](https://cdn.discordapp.com/attachments/881715672214810638/1192885378286358619/MagPalmKeepOffset.gif?ex=65aab414&is=65983f14&hm=cdc1e0dfbe219f1f56f03303449a93b8dddafd592f624f5fceacf3684a270b10&)

### Reverse Mag Grip  
 - Grab a magazine with your hand facing the floor to grab a magazine in a reverse grip
 
 - You can also reverse it in your hand by pressing the trigger (in Streamlined) or left/right (in Classic)
 
 - If you are in Classic, you can hold the trigger and push the touchpad up/down to adjust the position of the magazine
 
	![](https://cdn.discordapp.com/attachments/881715672214810638/1172205236438442005/ReverseMagGrip.gif?ex=655f7832&is=654d0332&hm=4d3e2c0d1f30bba088ed19691f4f7902b7bc0e7b67e40adae3ef1af7478a47e4&)

### Cylinder Bullet Collector
 - Eject and keep unspent casings from a revolver's cylinder by pressing trigger while grabbing it :)

	![](https://cdn.discordapp.com/attachments/881715672214810638/1166101634896646335/CylinderBulletCollectorShowcase.gif?ex=654943c6&is=6536cec6&hm=602c4f972fd40bffd17123cf33c6e715f4103ccf2a2e60e33a0b25a430937fe0&)

### Mag Retention Tweaks
 - Quick Retained Mag Release:
	- Allows you to release a retained magazine by letting go of touchpad
	
	![](https://cdn.discordapp.com/attachments/881715672214810638/1166100711105380423/MagRetentionTweaks1Showcase.gif?ex=654942ea&is=6536cdea&hm=bf494634059d5ca9f83d098810e94388deb23b2a344ad1ed1655a1de42d36faa&)
	
 - Angle & Distance Thresholds:
	- Adds configurable angle and distance thresholds to prevent a magazine from being retained, good for people who like having a magazine in their offhand while holding a handgun
	
	![](https://cdn.discordapp.com/attachments/881715672214810638/1166100710451060767/MagRetentionTweaks2Showcase.gif?ex=654942ea&is=6536cdea&hm=288d017cd6f388a58bdc2c0191ce5d14daebcd05c6ea9923fcb5055324415d69&)
	
### Gun Snatching Prevention
 - Prevents your gun from being snatched by your other hand
 
	![](https://media.discordapp.net/attachments/881715672214810638/1192885378751938670/GunSnatchPrevention.gif?ex=65aab415&is=65983f15&hm=8216bf80d4ee2dc7ebbec34749458d3e624e8ee7c7ff1cbac4ddd83ff434e1e0&=)
	
### BoltHandleLockSoundTweaks  
 - Plays the unused HandleUp sound that's supposed to be played when the handle is locked (and doesn't for guns who don't have one, i.e. MP5)
	
### Spawn Stock Tweaks
 - Folds all gun stocks when spawned
	
	![](https://media.discordapp.net/attachments/881715672214810638/1192885379414634598/SpawnStockTweaks.gif?ex=65aab415&is=65983f15&hm=b74ea7e25af1e1c4c5ae383d74807696cc473430d53653c8bc7690d4e1d9e9d0&=)
	
## Credits timeeeeeeeeeee
- Szikaka for the Receiver 2 stuff and helping with the math bullshit in these patches
- Jackfoxtrot for the BoltHandleLockSoundTweaks suggestion
- ME